Package Gnumed :: Package timelinelib :: Package wxgui :: Package components :: Package maincanvas :: Module maincanvas :: Class MainCanvas |
[frames] | no frames]

# Class MainCanvas

source code

    canvas.TimelineCanvas --+
                            |
                           MainCanvas

Instance Methods
__init__(self, parent, edit_controller, status_bar) | source code
SetDb(self, db) | source code
Navigate(self, navigation_fn) | source code
SetInputHandler(self, input_handler) | source code
start_dragscroll_timer(self, milliseconds=-1, oneShot=False) | source code
stop_dragscroll_timer(self) | source code
toggle_event_selection(self, cursor, keyboard) | source code
format_current_pos_time_string(self, x) | source code
toggle_balloon_stickyness(self, event_with_balloon) | source code
hit_resize_handle(self, cursor, keyboard) | source code
hit_move_handle(self, cursor, keyboard) | source code